<template lang="pug">
.row.x-operationPeriod.justify-content-center
  template(v-if='!loading && $butils.isNil(operationPeriod)')
    .col-12.py-3.justify-content-center.d-flex(key='noSuch')
      span.alert.alert-secondary Unknown Operation Period
  template(v-if='operationPeriod')
    .col-12.col-lg-4
      OperationPeriodInfo(:operationPeriod="operationPeriod" @update="onOperYearUpdate")
    .col-12.col-lg-8
      ShiftPoints(:year="operationPeriod.year" @update="onShiftPointsUpdate")
    .col-12.col-lg-8.mt-4
      ShiftDuePoints(ref="shiftDuePoints" :year="operationPeriod.year")
</template>
<script src='./OperationPeriod.vue.js' />
